コンテンツへスキップ

Stable Diffusion V3

統合

モデルID stable-diffusion-v3-medium
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v3-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.035 35 APIクレジット このページで実行

APIキーを取得
Stability AI テキストから画像 #diffusion#style

任意のプロンプト拡張に対応し、最大4枚を生成できるStable Diffusion 3 Mediumテキスト画像変換

Stability AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を導くプロンプト。

image_size デフォルト square_hd

生成画像の寸法。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 negative_prompt · num_inference_steps · guidance_scale · seed · prompt_expansion · enable_safety_checker
デフォルト

画像生成時に使用するネガティブプロンプト。

デフォルト 28

実行する推論ステップ数。

デフォルト 5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。

POST /run/stable-diffusion-v3-medium?wait=20 見積もり → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v3-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Stable Diffusion V3について

`prompt`を画像に変換するMultimodal Diffusion Transformerモデルです。`negative_prompt`、`prompt_expansion`、6種類のプリセット`image_size`に対応し、デフォルトはsquare_hdです。ステップは1から50、デフォルト28で、`guidance_scale`は0から20です。`num_images`は1から4を指定できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を導くプロンプト。
negative_prompt任意
型string
デフォルト
画像生成時に使用するネガティブプロンプト。
prompt_expansion任意
型boolean
デフォルトfalse
有効にすると詳細を追加するプロンプトアップサンプリング。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
num_inference_steps任意
型integer
デフォルト28
1 – 50
実行する推論ステップ数。
seed任意
型integer | null
Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。
guidance_scale任意
型number
デフォルト5
0 – 20
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェック。安全でないと判定された画像の代わりに黒い画像を返します。true でチェックを有効にし、false では権限のあるアカウントのみ無効にできます。権限のないアカウントのリクエストは常にチェックされます。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-diffusion-v3-medium",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "num_images": 1
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のファイル情報。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。
num_images
integer生成する画像の数。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/stable-diffusion-v3-medium.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt